LEED Brakes » LEED Brakes


Browse All Front Disc Brake Kits Products

Sort
View
 
Items 241-300 of 398
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1959-1964 full-size Chevrolet with LEED Brakes' manual front disc brake conversion kit. This kit mounts to your stock drum brake...More Details »
Item #: BFC1011-3A3X
Condition: New
Price: $1,129.99

Qty:

Bel Air, Impala, Biscayne, El Camino, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1959-1964 full-size Chevrolet with LEED Brakes' manual front disc brake conversion kit. This kit mounts to your stock drum brake...More Details »
Item #: RFC1011-3A3X
Condition: New
Price: $1,129.99

Qty:

Bel Air, Impala, Biscayne, El Camino, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-3A3X
Condition: New
Price: $1,049.99

Qty:

Bel Air, Impala, Biscayne, El Camino, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1959-1964 full-size Chevrolet with LEED Brakes' manual front disc brake conversion kit. This kit mounts single-piston disc brakes...More Details »
Item #: FC1011-3A1X
Condition: New
Price: $1,049.99

Qty:

Tri-Five Chevy, GM Full Size
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1959-64 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-3A1
Condition: New
Price: $909.99

Qty:

Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1959-64 Full-Size Chevrolet manual front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1011-3A1X
Condition: New
Price: $1,128.99

Qty:

Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1955-1958 Chevrolet with LEED Brakes' manual front disc brake conversion kit. This kit includes everything you need to mount red...More Details »
Item #: RFC1010-3A1X
Condition: New
Price: $1,124.99

Qty:

Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1959-1964 full-size Chevrolet with LEED Brakes' manual front disc brake conversion kit. This kit mounts to your stock drum brake...More Details »
Item #: RFC1011-3A1X
Condition: New
Price: $1,128.99

Qty:

Bel Air, Impala, Biscayne, El Camino, GM Full Size
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet manual front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-3A3
Condition: New
Price: $909.99

Qty:

Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury from factory drum brakes to manual front disc brakes with this LEED Brakes conversion kit featuring drilled rotors and black calipers. The kit includes...More Details »
Item #: BFC0001-4C7X
Condition: New
Price: $1,509.99

Qty:

Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury from factory drum brakes to manual front disc brakes with this LEED Brakes conversion kit featuring drilled rotors and red calipers. The kit includes...More Details »
Item #: RFC0001-4C7X
Condition: New
Price: $1,509.99

Qty:

Ford Mustang Fairlane Falcon Torino Disc Brake Conversion
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967–1969 Ford or Mercury from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite aluminum 4-piston calipers and MaxGrip XDS...More Details »
Item #: FC0006-405X
Condition: New
Price: $1,724.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this factory style 4-piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this...More Details »
Item #: FC0001-405LK
Condition: New
Price: $1,399.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1964.5-1966 Mustang with this drum-to-disc conversion kit. This kit includes everything you need to mount factory-style...More Details »
Item #: FC0001-405
Condition: New
Price: $1,249.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1957–1968 Full-Size Ford with the safety, reliability, and performance of a complete front drum-to-disc brake conversion kit. This factory-style 4-piston manual disc brake...More Details »
Item #: FC0025-405X
Condition: New
Price: $1,639.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1964.5-1966 Ford Mustang from drum to manual front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC0001-405X
Condition: New
Price: $1,389.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...More Details »
Item #: BFC1003-3A3X
Condition: New
Price: $1,284.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount black powder-coated...More Details »
Item #: BFC1003-FA3X
Condition: New
Price: $1,344.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1964–1974 GM A, F, or X-Body vehicle with this drum to disc brake conversion kit from LEED Brakes. This A, F, X-Body front...More Details »
Item #: RFC1003-305X
Condition: New
Price: $1,213.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete Manual Front Disc Brake Conversion Kit...More Details »
Item #: RFC1003-3A3X
Condition: New
Price: $1,284.99

Qty:

Chevelle, Camaro, Monte Carlo, GTO, Firebird, Skylark
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: BFC1002-305X
Condition: New
Price: $1,114.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes...More Details »
Item #: BFC1002-FA1X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This manual front disc brake kit includes everything...More Details »
Item #: BFC1002-F05X
Condition: New
Price: $1,164.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: BFC1002-FA3X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: BFC1002-3A3X
Condition: New
Price: $1,213.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount Disc/Drum kit includes everything...More Details »
Item #: BFC1002-3A1X
Condition: New
Price: $1,204.99

Qty:

Chevelle, Camaro, Monte Carlo, GTO, Firebird, Skylark
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: RFC1002-305X
Condition: New
Price: $1,114.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: RFC1002-3A3X
Condition: New
Price: $1,213.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes...More Details »
Item #: RFC1002-FA1X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This GM AFX manual front disc brake kit...More Details »
Item #: RFC1002-F05X
Condition: New
Price: $1,164.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: RFC1002-FA3X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount disc/drum kit includes everything...More Details »
Item #: RFC1002-3A1X
Condition: New
Price: $1,204.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: BFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This kit includes everything you need to mount single-piston disc...More Details »
Item #: FC1006-FA3X
Condition: New
Price: $1,179.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: RFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles. This drum-to-manual disc...More Details »
Item #: FC2006-C05X
Condition: New
Price: $1,894.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum black calipers & MaxGrip XDS Drilled & Slotted Rotors! The...More Details »
Item #: BCC0005RKX
Condition: New
Price: $1,239.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers & MaxGrip XDS Drilled & Slotted Rotors! The MaxGrip...More Details »
Item #: CC0005RKX
Condition: New
Price: $1,185.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-67 Ford Mustang with LEED Brakes MaxGrip Lite 4-Piston Aluminum Calipers and MaxGrip XDS Drilled & Slotted Rotors. Designed as a direct bolt-on replacement for factory D11 front...More Details »
Item #: RCC0005RKX
Condition: New
Price: $1,239.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: CC0005
Condition: New
Price: $899.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: BCC0005
Condition: New
Price: $974.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to LEED Brakes' MaxGrip Lite 4 Piston aluminum brake calipers! These MaxGrip Lite 4 Piston...More Details »
Item #: RCC0005
Condition: New
Price: $974.99

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic GM AFX-Body vehicle with a high-performance LEED Brakes Front Disc Brake Conversion Kit . This premium front caliper and rotor kit is engineered to deliver improved stopping...More Details »
Item #: CC1008RKX
Condition: New
Price: $1,499.95

Qty:

GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX-Body with the LEED Brakes MaxGrip Lite Front Disc Brake Kit, engineered to deliver exceptional stopping power, improved brake pedal feel, and long-lasting reliability. This...More Details »
Item #: BCC1008RKX
Condition: New
Price: $1,599.95

Qty:

GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing LEED Brakes' premium front caliper & rotor kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RCC1008RKX
Condition: New
Price: $1,599.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes premium front caliper kit. Designed as a direct bolt-on upgrade, this kit delivers improved stopping power, reliability, and...More Details »
Item #: CC1008
Condition: New
Price: $1,299.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Introducing our premium front caliper kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: BCC1008
Condition: New
Price: $1,399.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes MaxGrip Lite 4-Piston Front Caliper Kit. Engineered for improved stopping power, reliability, and durability, this complete front...More Details »
Item #: RCC1008
Condition: New
Price: $1,399.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1009SMX
Condition: New
Price: $1,799.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: BFC1009SMX
Condition: New
Price: $1,899.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1009SMX
Condition: New
Price: $1,899.95

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: BFC0026-405PX
Condition: New
Price: $2,074.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory...More Details »
Item #: FC0026-405PX
Condition: New
Price: $1,999.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition: New
Price: $2,074.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This spindle-mount disc brake conversion kit includes everything needed to mount USA-made MaxGrip Lite...More Details »
Item #: BFC0005SMX
Condition: New
Price: $1,699.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This 1963-1969 Ford and Mercury disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005SMX
Condition: New
Price: $1,699.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed to convert factory front drum brakes to disc brakes, this...More Details »
Item #: RFC2004SMX
Condition: New
Price: $1,825.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: BFC0006SMX
Condition: New
Price: $1,699.99

Qty:

Items 241-300 of 398